View Issue Details

IDProjectCategoryView StatusLast Update
0001438unrealircdpublic2007-06-17 16:44
ReporterMouseAssigned Toaquanight 
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
PlatformbsdOSFreeBSD 4.7-RELEASEOS Version4.7-RELEASE
Product Version3.2-beta19 
Target VersionFixed in Version3.3-alpha0 
Summary0001438: uname() vs uname ?
DescriptionI have done many ircds on all of my boxes.
I just did this on my friend's box
I would appericate a fix.

here is ssh log:
-bash-2.05b$ make
Building src
gcc -I../include -pipe -g -O2 -funsigned-char -I/usr/include -DZIP_LINKS -export-dynamic -L/usr/lib -DFD_SETSIZE=5000 -c auth.c
In file included from ../include/config.h:25,
                 from ../include/struct.h:26,
                 from auth.c:21:
../include/setup.h:209: unterminated string or character constant
../include/setup.h:191: possible real start of unterminated constant
In file included from ../include/sys.h:33,
                 from ../include/common.h:47,
                 from ../include/struct.h:41,
                 from auth.c:21:
../include/setup.h:209: unterminated string or character constant
../include/setup.h:191: possible real start of unterminated constant
*** Error code 1

Stop in /usr/home/GlobalD/Unreal3.2/src.
*** Error code 1

Stop in /usr/home/GlobalD/Unreal3.2.
-bash-2.05b$
Steps To Reproducewget ircd
tar xzvf Un*
cd Un*
./Config
make

try on freebsd4.7-RELEASE
TagsNo tags attached.
3rd party modules

Relationships

related to 0003320 resolvedsyzop Problems compiling 3.2.6 / probably a gcc issue 

Activities

AngryWolf

2003-12-18 18:21

reporter   ~0004374

Last edited: 2003-12-18 18:22

Can you send the output of these commands below?

cd Un*
cat include/setup.h | head -n 191 | tail -n 1

edited on: 12-18-03 18:22

syzop

2003-12-18 19:31

administrator   ~0004375

exactly, I was just going to ask you to attach include/setup.h ;p.
setup.h is generated from a template by ./Config, so partially from user input... seems like something went wrong there.

Mouse

2003-12-19 08:21

reporter   ~0004380

-bash-2.05b$ cat include/setup.h | head -n 191 | tail -n 1
#define MYOSNAME "Linux server1.b2netsolutions.com 2.4.2 FreeBSD 4.7-RELEASE #0: Wed Oct 9 15:08:34 GMT 2002
-bash-2.05b$

AngryWolf

2003-12-19 08:48

reporter   ~0004382

Last edited: 2003-12-19 08:50

Great. Here's a reference (actually not for 4.7-RELEASE, but this should help to find out the problem):

http://lists.freebsd.org/pipermail/freebsd-emulation/2003-June/000095.html

edited on: 12-19-03 08:50

codemastr

2003-12-19 19:52

reporter   ~0004387

In reality, Unreal shouldn't even be setting that information at compile time imho. For things such as rpm's and whatnot, the system the software is running on may very likely be different than the system the software was compiled on. I think a better solution is to determine this a runtime using the uname() function.

Mouse

2003-12-20 14:05

reporter   ~0004388

-bash-2.05b$ uname -a
FreeBSD server1.b2netsolutions.com 4.7-RELEASE FreeBSD 4.7-RELEASE #0: Wed Oct 9 15:08:34 GMT 2002 root@builder.freebsdmall.com:/usr/obj/usr/src/sys/GENERIC i386
-bash-2.05b$

stskeeps

2007-04-27 05:52

reporter   ~0013845

Bump. Still an issue? (syzop/codemastr) comment

syzop

2007-05-07 12:41

administrator   ~0014020

I'd be ok with using uname(), provided that we be careful with portability, after all.. this isn't exactly important...

stskeeps

2007-06-12 15:48

reporter   ~0014350

Task: Write a portable uname() (that gives along the same lines of uname -a) alike the one we have for Win32.

aquanight

2007-06-17 16:44

reporter   ~0014385

Fixed in CVS .2442 (devel branch)

1.1.1.1.2.1.2.1.2.2442 (aquanigh 17-Jun-07): - 0001438 reported by Mouse, to use uname() syscall on ircd start instead of
1.1.1.1.2.1.2.1.2.2442 (aquanigh 17-Jun-07): uname tool at Config/configure to fill in MYOSNAME. As with the 0003363 patch
1.1.1.1.2.1.2.1.2.2442 (aquanigh 17-Jun-07): this will make binary packages a bit more reasonable. As a side effect, the
1.1.1.1.2.1.2.1.2.2442 (aquanigh 17-Jun-07): amount of information in /version has been reduced to just the OS name (eg: Linux,
1.1.1.1.2.1.2.1.2.2442 (aquanigh 17-Jun-07): FreeBSD, etc) and release (2.6.17, 6.0-RELEASE, etc), which is about the same amount
1.1.1.1.2.1.2.1.2.2442 (aquanigh 17-Jun-07): of information given by Win32 IRCds. If for some reason uname() can't get this
1.1.1.1.2.1.2.1.2.2442 (aquanigh 17-Jun-07): info, we just config_warn and set MYOSNAME to "POSIX" as this data is only ever
1.1.1.1.2.1.2.1.2.2442 (aquanigh 17-Jun-07): used in /version.

Issue History

Date Modified Username Field Change
2003-12-18 15:38 Mouse New Issue
2003-12-18 18:21 AngryWolf Note Added: 0004374
2003-12-18 18:22 AngryWolf Note Edited: 0004374
2003-12-18 19:31 syzop Note Added: 0004375
2003-12-19 08:21 Mouse Note Added: 0004380
2003-12-19 08:48 AngryWolf Note Added: 0004382
2003-12-19 08:50 AngryWolf Note Edited: 0004382
2003-12-19 19:52 codemastr Note Added: 0004387
2003-12-20 14:05 Mouse Note Added: 0004388
2005-12-10 17:32 syzop Severity major => tweak
2005-12-10 17:32 syzop Summary the ircd wont make on my friend's box. => uname() vs uname ?
2007-04-27 05:52 stskeeps Note Added: 0013845
2007-04-27 05:52 stskeeps Status new => feedback
2007-05-07 12:41 syzop Note Added: 0014020
2007-05-07 12:41 syzop Status feedback => acknowledged
2007-05-07 12:41 syzop Category documentation => ircd
2007-05-08 13:38 syzop Relationship added related to 0003320
2007-06-12 15:48 stskeeps Note Added: 0014350
2007-06-17 16:22 aquanight Status acknowledged => assigned
2007-06-17 16:22 aquanight Assigned To => aquanight
2007-06-17 16:44 aquanight Note Added: 0014385
2007-06-17 16:44 aquanight Status assigned => resolved
2007-06-17 16:44 aquanight Resolution open => fixed
2007-06-17 16:44 aquanight Fixed in Version => 3.3-alpha0